package mapped;

import java.util.Comparator;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSGrandExchangeOfferNameComparator;

@ObfuscatedName("oo")
final class GrandExchangeOfferNameComparator implements Comparator, RSGrandExchangeOfferNameComparator {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Log;Log;I)I",
      garbageValue = "1361054844"
   )
   int method7096(GrandExchangeEvent var1, GrandExchangeEvent var2) {
      return var1.getOfferName_base().compareTo(var2.getOfferName_base());
   }

   public int compare(Object var1, Object var2) {
      return this.method7096((GrandExchangeEvent)var1, (GrandExchangeEvent)var2);
   }

   public boolean equals(Object var1) {
      return super.equals(var1);
   }
}
